Subject: Re: cfg80211 take 7

From: Johannes Berg <[email-masked]>
Date: Mon, 09 Oct 2006 13:49:15 +0200

On Mon, 2006-10-09 at 13:22 +0200, Stefan Rompf wrote:

> nice work! Is there any possibility to limit the card to a specific band (e.g. 
> 802.11 a/b/g) using cfg80211? I'm asking because I haven't seen code to 
> accomplish this in cfg80211, but I maybe wrong.

Never really thought about that, so the answer for now is "no" :) Should
be easy to add though if we figure out what exactly we want/need.

> Many drivers implement this feature as an iwpriv, and I consider it useful 
> enough (especially when association and roaming is kernel controlled) to 
> justify a generic configuration element.

Yeah, probably makes sense. Though, maybe not just the band but a set of
channels instead?

johannes